View Issue Details

IDProjectCategoryView StatusLast Update
0002769SymmetricDSBugpublic2016-09-16 09:00
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.4 
Target Version3.8.4Fixed in Version3.8.4 
Summary0002769: Initial load extraction gets into a loop if staging file was deleted before being sent.
DescriptionThis looping would consist of message:

Batch {} is not ready for delivery. It is currently scheduled for extraction

When the batch status is RQ or OK and the sym_extract_request containing the batch has been marked as OK.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 001fcfec

2016-09-06 11:49:39

josh-a-hicks

Details Diff
0002769: Initial load extraction gets into a loop if staging file was
deleted before being sent.

0002769
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2016-09-06 11:30 josh-a-hicks New Issue
2016-09-06 11:30 josh-a-hicks Status new => assigned
2016-09-06 11:30 josh-a-hicks Assigned To => josh-a-hicks
2016-09-06 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 001fcfec
2016-09-07 10:55 josh-a-hicks Status assigned => resolved
2016-09-07 10:55 josh-a-hicks Fixed in Version => 3.8.4
2016-09-07 10:55 josh-a-hicks Resolution open => fixed
2016-09-16 09:00 admin Status resolved => closed